create temporary table `ombutel`.`new_timezones` (
	`offset` int not null,
	`value` varchar(255) not null,
	`name` varchar(255) not null
)  charset=utf8 collate=utf8_unicode_ci;

insert into `ombutel`.`new_timezones` (`offset`, `value`, `name`) values
(-43200,'0,UCT_-12' ,'Enewetak'),
(-39600,'1,UCT_-11','Midway, Samoa'),
(-36000,'2,UCT_-10','Hawaii, Honolulu'),
(-32400,'3,NAS_-09','Gambier Islands, Anchorage'),
(-28800,'4,PST_-08','California, Las Vegas, Los Angeles, San Francisco, Seattle, Vancouver'),
(-25200,'5,MST_-07','Edmonton, Montana, New Mexico, San Diego'),
(-21600,'8,UCT_-06','Chicago, Dallas, Guatemala City, Houston, Mexico City, San Jose, San Salvador, Tegucigalpa, Winnipeg, Wisconsin'),
(-18000,'12,UCT_-05','Atlanta, Bogota, Boston, Havana, Kingston, Lima, Maryland, Montreal, Nassau, New Jersey, New York, Ottawa, Panama City, Philadelphia, Quito, Toronto, Washington'),
(-14400,'15,AST_-04','Bridgetown, Hamilton, La Paz, Santo Domingo, Dominican Republic, Nova Scotia, Roseau, Willemstad, Netherlands Antilles, Asuncion, San Diego'),
(-12600,'18,EBS_-03:30','Newfoundland'),
(-10800,'19,EBS_-03','Brasilia, Buenos Aires, Montevideo, Rio de Janeiro'),
(-7200,'22,NOR_-02','Trindade Island'),
(-3600,'23,EUT_-01','Playa'),
(0,'25,UCT_000','Aberdeen, Accra, Casablanca, Dakar, Edinburgh, Glasgow, Lisbon, Liverpool, London, Manchester, Newcastle, Rabat, Reykjavik'),
(3600,'27,MET_001','Abuja, Algiers, Amsterdam, Andorra, Barcelona, Berlin, Bern, Brazzaville, Brussels, Budapest, Copenhagen, Frankfurt, Hamburg, Luxembourg, Lyon, Madrid, Milan, Oslo, Paris, Prague, Rome, Roseau, Stockholm, Tirana, Vienna, Warsaw, Yaounde, Zurich'),
(7200,'32,EET_002','Athens, Beirut, Bucharest, Cairo, Cape Town, Gaborone, Harare, Helsinki, Istanbul, Jerusalem, Johannesburg, Khartoum, Lusaka, Nicosia, Sofia'),
(10800,'38,IST_003','Addis Ababa, Ethiopia, Dar es Salaam, Tanzania, Kampala, Kuwait, Moscow, Nairobi, Riyadh, Sanaa'),
(10800,'42,MSK_003','Declan'),
(14400,'43,UCT_004','Abu Dhabi, Dubai, Muscat'),
(16200,'45,UCT_04:30','Kabul'),
(18000,'46,UCT_005','Islamabad, Karachi'),
(19800,'48,UCT_05:30','Mumbai, Kolkata, New Delhi'),
(20700,'49,UCT_05:45','Katmandu'),
(21600,'50,UCT_006','Colombo, Dhaka'),
(23400,'53,UCT_06:30','Myanmar'),
(25200,'54,UCT_007','Bangkok, Hanoi, Jakarta, Phnom Penh, Phuket'),
(28800,'56,CST_008','Bandar Seri Begawan, Brunei, Beijing, Chongqing, Guangzhou, Harbin, Hong Kong, Kuala Lumpur, Macau, Manila, Nanjing, Perth, Shanghai, Singapore, Taipei, Urumqi'),
(32400,'61,JST_009','Pyongyang, Sapporo,  Seoul, Tokyo, Osaka'),
(34200,'64,KST_09:30','Darwin'),
(36000,'66,UCT_010','Brisbane, Melbourne, Port Moresby, Papua New Guinea, Queensland, Sydney, Whitsunday Island, Australia'),
(39600,'71,UCT_011','Noumea'),
(43200,'72,UCT_012','Auckland, Wellington, Suva'),
(46800,'74,UCT_013','Nuku'),
(50400,'75,UCT_014','Republic of Kiribati');

-- add new timezones
insert into `ombutel`.`xepm_timezones` (`offset`, `value`, `name`)
select ntz.*
from `ombutel`.`new_timezones` ntz
left join `ombutel`.`xepm_timezones` tz on (tz.`offset` = ntz.`offset` and tz.`value` = ntz.`value` and tz.`name` = ntz.`name`)
where tz.`timezone_id` is null;

-- remove old x5 timezones
delete from `ombutel`.`xepm_model_timezones` where `model_id` in (
select `model_id` from `ombutel`.`xepm_models` where `ident` = 'x5' and `brand_id` in (
select `brand_id` from `ombutel`.`xepm_brands` where `ident` = 'fanvil'));

-- add new x5 timezones
insert into `ombutel`.`xepm_model_timezones` (`model_id`, `timezone_id`)
select m.`model_id`, tz.`timezone_id`
from `ombutel`.`xepm_brands` b
join `ombutel`.`new_timezones` ntz
left join `ombutel`.`xepm_timezones` tz on (ntz.`offset` = tz.`offset` and ntz.`name` = tz.`name` and ntz.`value` = tz.`value`)
left join `ombutel`.`xepm_models` m on (m.`brand_id` = b.`brand_id`)
left join `ombutel`.`xepm_model_timezones` mtz on (mtz.`model_id` = m.`model_id` and mtz.`timezone_id` = tz.`timezone_id`)
where b.`ident` = 'fanvil' and m.`ident` = 'x5' and mtz.`model_id` is null;

-- update template timezones
update `ombutel`.`xepm_brands` b
left join `ombutel`.`xepm_models` m on (m.`brand_id` = b.`brand_id`)
left join  `ombutel`.`xepm_templates` t on (m.`model_id` = t.`model_id`)
left join `ombutel`.`xepm_timezones` tz1 on (tz1.`timezone_id` = t.`timezone_id`)
left join `ombutel`.`xepm_timezones` tz2 on (tz2.`offset` = tz1.`offset` and tz2.`timezone_id` in (
	select mtz.`timezone_id` from `ombutel`.`xepm_model_timezones` mtz where mtz.`model_id` = m.`model_id`))
set t.`timezone_id` = tz2.timezone_id
where b.`ident` = 'fanvil' and m.`ident` = 'x5';

-- update device timezones
update `ombutel`.`xepm_brands` b
left join `ombutel`.`xepm_models` m on (m.`brand_id` = b.`brand_id`)
left join  `ombutel`.`xepm_templates` t on (m.`model_id` = t.`model_id`)
left join  `ombutel`.`xepm_devices` d on (t.`template_id` = d.`template_id`)
left join `ombutel`.`xepm_timezones` tz1 on (tz1.`timezone_id` = d.`timezone_id`)
left join `ombutel`.`xepm_timezones` tz2 on (tz2.`offset` = tz1.`offset` and tz2.`timezone_id` in (
	select mtz.`timezone_id` from `ombutel`.`xepm_model_timezones` mtz where mtz.`model_id` = m.`model_id`))
set d.`timezone_id` = tz2.timezone_id
where b.`ident` = 'fanvil' and m.`ident` = 'x5';
